Viewing Issue Advanced Details Jump to Notes ] ibmpcjr.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06049 Gameplay Critical (emulation) Always Oct 23, 2015, 23:09 Oct 24, 2015, 04:51
Tester kazblox View Status Public Platform MESS (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver ibmpcjr.cpp
Version 0.166 Fixed in Version 0.167 Build 64-bit
Summary MESS-specific 06049: ibmpcjr [kingqst, mouser, pitfall2, scubavnt] : some softlist games are broken
Description Some of the games in the ibmpcjr softlist seem to crash instantly or cause major graphical glitches. All of these bugs listed below did not happen when I tested MAME 0.144 in PCjr emulation.

Mouser-
Maze is invisible

Kings Quest-
Instant crash with pink stripes

Pitfall II-
Crash with pink stripes. A string "C123456789" appears and moves around randomly but that's it.

ScubaVenture-
Pink stripes. Graphics majorly freak out along with collision if you start the game

Steps To Reproduce
Additional Information Regression; Tafoid has already spotted a possible point, between 0.148u1 and 0.149.
Flags
Regression Version 0.149
Affected Sets / Systems ibmpcjr [kingqst, mouser, pitfall2, scubavnt]
Attached Files
 


-  Notes
User avatar
No.12083
Tafoid
(Administrator)
Oct 23, 2015, 23:41
Traced issue to a 2 day period of dev where the I strongly believe the only change of note is:
https://github.com/mamedev/mame/commit/e098aab416851304b8fd12b126c6ec98aeca6742
"Modernized the PIT8253 device." - June 3, 2013

User avatar
No.12084
crazyc
(Developer)
Oct 24, 2015, 03:47
Fixed in https://github.com/mamedev/mame/commit/3d746320c94a6c6d9d0b937c2b70b7ed54bcb539
Note loading takes a rather long time in kings quest.
User avatar
No.12085
kazblox
(Tester)
Oct 24, 2015, 04:51
Fixed alright ;)